package com.ssj.service.conch.parents.v1.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Pattern;

/**
 * @author Mount Liu
 * @date 2018/1/8
 */
public class IntervalReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "会员id", required = true)
    private String vipId;
	@ApiModelProperty(name = "libId", value = "图书馆id", required = true)
	private String libId;
	@ApiModelProperty(name = "num", value = "购买数量", required = true)
	private int num;
	@ApiModelProperty(name = "priceType", value = "卡类型（C004:作业吧月卡;C005:作业吧半年卡;C006:作业吧年卡）", required = true)
	private String priceType;
	@Pattern(regexp = "\\d{4}\\.\\d{2}\\.\\d{2}")
	@ApiModelProperty(name = "beginDate", value = "开始时间(yyyy.MM.dd)", required = true)
	private String beginDate;

	public String getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(String beginDate) {
		this.beginDate = beginDate;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public int getNum() {
		return num;
	}

	public void setNum(int num) {
		this.num = num;
	}

	public String getPriceType() {
		return priceType;
	}

	public void setPriceType(String priceType) {
		this.priceType = priceType;
	}
}
